# coding: utf-8

"""
    Form Service API

    A list of form and Xaas APIs.  This page describes the RESTful APIs for Form Service. The APIs facilitate CRUD operations on the various resources and entities used throughout Form service (Custom Resource , Form Definition etc.) and allow operations on them (creating custom resource type , fetch form status etc.).  Some of the APIs that list collections of resources also support OData like implementation. Below query params can be used across Form and XaaS entities.  Example:  1. `$orderby` - returns a result with the rows being sorted by the values of provided attribute.      ```/form-service/api/custom/resource-types?$orderby=name%20DESC```  2. `page`, `size` - page used in conjunction with `size` helps in pagination of resources.      ```/form-service/api/custom/resource-types?page=0&size=20```   # noqa: E501

    OpenAPI spec version: 1.0
    
    Generated by: https://github.com/swagger-api/swagger-codegen.git
"""

import pprint
import re  # noqa: F401

import six

class InlineResponse4036(object):
    """NOTE: This class is auto generated by the swagger code generator program.

    Do not edit the class manually.
    """
    """
    Attributes:
      swagger_types (dict): The key is attribute name
                            and the value is attribute type.
      attribute_map (dict): The key is attribute name
                            and the value is json key in definition.
    """
    swagger_types = {
        'layout': 'FormLayoutSchemaLayout',
        'schema': 'object',
        'messages': 'list[FormLayoutSchemaMessages]',
        'options': 'FormLayoutSchemaOptions'
    }

    attribute_map = {
        'layout': 'layout',
        'schema': 'schema',
        'messages': 'messages',
        'options': 'options'
    }

    def __init__(self, layout=None, schema=None, messages=None, options=None):  # noqa: E501
        """InlineResponse4036 - a model defined in Swagger"""  # noqa: E501
        self._layout = None
        self._schema = None
        self._messages = None
        self._options = None
        self.discriminator = None
        if layout is not None:
            self.layout = layout
        if schema is not None:
            self.schema = schema
        if messages is not None:
            self.messages = messages
        if options is not None:
            self.options = options

    @property
    def layout(self):
        """Gets the layout of this InlineResponse4036.  # noqa: E501


        :return: The layout of this InlineResponse4036.  # noqa: E501
        :rtype: FormLayoutSchemaLayout
        """
        return self._layout

    @layout.setter
    def layout(self, layout):
        """Sets the layout of this InlineResponse4036.


        :param layout: The layout of this InlineResponse4036.  # noqa: E501
        :type: FormLayoutSchemaLayout
        """

        self._layout = layout

    @property
    def schema(self):
        """Gets the schema of this InlineResponse4036.  # noqa: E501


        :return: The schema of this InlineResponse4036.  # noqa: E501
        :rtype: object
        """
        return self._schema

    @schema.setter
    def schema(self, schema):
        """Sets the schema of this InlineResponse4036.


        :param schema: The schema of this InlineResponse4036.  # noqa: E501
        :type: object
        """

        self._schema = schema

    @property
    def messages(self):
        """Gets the messages of this InlineResponse4036.  # noqa: E501


        :return: The messages of this InlineResponse4036.  # noqa: E501
        :rtype: list[FormLayoutSchemaMessages]
        """
        return self._messages

    @messages.setter
    def messages(self, messages):
        """Sets the messages of this InlineResponse4036.


        :param messages: The messages of this InlineResponse4036.  # noqa: E501
        :type: list[FormLayoutSchemaMessages]
        """

        self._messages = messages

    @property
    def options(self):
        """Gets the options of this InlineResponse4036.  # noqa: E501


        :return: The options of this InlineResponse4036.  # noqa: E501
        :rtype: FormLayoutSchemaOptions
        """
        return self._options

    @options.setter
    def options(self, options):
        """Sets the options of this InlineResponse4036.


        :param options: The options of this InlineResponse4036.  # noqa: E501
        :type: FormLayoutSchemaOptions
        """

        self._options = options

    def to_dict(self):
        """Returns the model properties as a dict"""
        result = {}

        for attr, _ in six.iteritems(self.swagger_types):
            value = getattr(self, attr)
            if isinstance(value, list):
                result[attr] = list(map(
                    lambda x: x.to_dict() if hasattr(x, "to_dict") else x,
                    value
                ))
            elif hasattr(value, "to_dict"):
                result[attr] = value.to_dict()
            elif isinstance(value, dict):
                result[attr] = dict(map(
                    lambda item: (item[0], item[1].to_dict())
                    if hasattr(item[1], "to_dict") else item,
                    value.items()
                ))
            else:
                result[attr] = value
        if issubclass(InlineResponse4036, dict):
            for key, value in self.items():
                result[key] = value

        return result

    def to_str(self):
        """Returns the string representation of the model"""
        return pprint.pformat(self.to_dict())

    def __repr__(self):
        """For `print` and `pprint`"""
        return self.to_str()

    def __eq__(self, other):
        """Returns true if both objects are equal"""
        if not isinstance(other, InlineResponse4036):
            return False

        return self.__dict__ == other.__dict__

    def __ne__(self, other):
        """Returns true if both objects are not equal"""
        return not self == other
